package com.bweb.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 增加产品价格
 */
public class AddGoodsPriceModel {

    // 类型   1.卡卷
    private Integer objectType;

    // 价格类型 1：原价  2：折扣
    private Integer priceType;

    // 折扣数（几折）
    private BigDecimal discountNum;

    // 及时生效  0：否  1：是
    private Boolean promptlyType;

    // 新销售价格
    private BigDecimal newSalePrice;

    // 产品id
    private List<Long> objectIdList;

    // 新销售价格 生效时间
    private Date effectiveTime;

    // 新销售价格 失效时间
    private Date invalidTime;

    // 备注
    private String remark;

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public Integer getPriceType() {
        return priceType;
    }

    public void setPriceType(Integer priceType) {
        this.priceType = priceType;
    }

    public BigDecimal getDiscountNum() {
        return discountNum;
    }

    public void setDiscountNum(BigDecimal discountNum) {
        this.discountNum = discountNum;
    }

    public Boolean getPromptlyType() {
        return promptlyType;
    }

    public void setPromptlyType(Boolean promptlyType) {
        this.promptlyType = promptlyType;
    }

    public BigDecimal getNewSalePrice() {
        return newSalePrice;
    }

    public void setNewSalePrice(BigDecimal newSalePrice) {
        this.newSalePrice = newSalePrice;
    }

    public List<Long> getObjectIdList() {
        return objectIdList;
    }

    public void setObjectIdList(List<Long> objectIdList) {
        this.objectIdList = objectIdList;
    }

    public Date getEffectiveTime() {
        return effectiveTime;
    }

    public void setEffectiveTime(Date effectiveTime) {
        this.effectiveTime = effectiveTime;
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
